# Facile

[![Code
Climate](https://codeclimate.com/github/sthulb/facile.png)](https://codeclimate.com/github/sthulb/facile)
[![Build
Status](https://travis-ci.org/sthulb/facile.png?branch=master)](https://travis-ci.org/sthulb/facile)

API simplicity gem

## Installation

Add this line to your application's Gemfile:

    gem 'facile'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install facile

## Usage

An example script, to fetch the weather data from the BBC.
```ruby
require 'facile'

class Foo
  include ::Facile::Api
  url 'http://open.live.bbc.co.uk/weather/feeds/en/{id}/3dayforecast.json'
end

foo = Foo.find('2643743')

# gets forecast date for the first day.
foo.forecast_content.forecasts.first.date
```

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
