# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'facile/version'

Gem::Specification.new do |spec|
  spec.name          = 'facile'
  spec.version       = Facile::VERSION
  spec.authors       = ['Simon Thulbourn']
  spec.email         = ['simon+github@thulbourn.com']
  spec.description   = 'Facile: API simplicity gem'
  spec.summary       = 'Facile: API simplicity gem'
  spec.homepage      = ''
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'faraday'
  spec.add_runtime_dependency 'activesupport', '~> 3.1'
  spec.add_runtime_dependency 'addressable'
  spec.add_runtime_dependency 'hashie'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'guard'
  spec.add_development_dependency 'guard-rspec'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rspec-nc'
end
